diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java b/pki/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
index 55d8bb04c18150c049cf2444bd9c88571b138bc8..478df161df546f798b50805bafdddf347b27dfe5 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
@@ -19,7 +19,6 @@ package com.netscape.cms.servlet.cert;
 
 import java.io.IOException;
 import java.util.Calendar;
-import java.util.Date;
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.StringTokenizer;
@@ -42,7 +41,6 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.AuthMgrPlugin;
 import com.netscape.certsrv.authentication.IAuthManager;
 import com.netscape.certsrv.authentication.IAuthSubsystem;
-import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
@@ -146,7 +144,7 @@ public class RemoteAuthConfig extends CMSServlet {
         HttpServletRequest req = cmsReq.getHttpReq();
         HttpServletResponse resp = cmsReq.getHttpResp();
 
-        IAuthToken authToken = authenticate(cmsReq);
+        authenticate(cmsReq);
 
         IArgBlock header = CMS.createArgBlock();
         IArgBlock ctx = CMS.createArgBlock();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java b/pki/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
index 8e6d5821604a9d843577c438c0a9fcf4869b4b85..3602515c9fdef15a882a04175c62a1c33fba9910 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
@@ -295,7 +295,6 @@ public class SrchCerts extends CMSServlet {
     private void buildDateFilter(HttpServletRequest req, String prefix,
                                    String outStr, long adjustment,
                                    StringBuffer filter) {
-        String queryCertFilter = null;
         long epoch = 0;
         try {
             epoch = Long.parseLong(req.getParameter(prefix));
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
index 4625fb79e37b4d6d9a8f54d29e096a9aee308fa0..50feb08639db00f8e6281499b1597d15cc44187a 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
@@ -111,8 +111,6 @@ public class CMSTemplate extends CMSFile {
      * @return true if successful
      */
     public boolean init(File template) throws EBaseException, IOException {
-        StringBuffer buf = new StringBuffer();
-
         /* load template */
         String content = loadFile(template);
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CheckIdentity.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CheckIdentity.java
index a28ae76b3486fc29e876528f30248c3986359df0..52a98d5400181a5548b38da38362a267c074769d 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CheckIdentity.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CheckIdentity.java
@@ -28,7 +28,6 @@ import javax.servlet.http.HttpServletResponse;
 import org.w3c.dom.Node;
 
 import com.netscape.certsrv.apps.CMS;
-import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -66,13 +65,10 @@ public class CheckIdentity extends CMSServlet {
      * @param cmsReq the object holding the request and response information
      */
     protected void process(CMSRequest cmsReq) throws EBaseException {
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
 
-        IAuthToken authToken = null;
-
         try {
-            authToken = authenticate(cmsReq);
+            authenticate(cmsReq);
         } catch (Exception e) {
             CMS.debug("CheckIdentity authentication failed");
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetTokenInfo.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetTokenInfo.java
index 4d11af8af42a5d599fa2e1f68e70140252260e06..f97d3e5e10ec7b483dc94627c0472350fb549d76 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetTokenInfo.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetTokenInfo.java
@@ -30,7 +30,6 @@ import org.w3c.dom.Node;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
-import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.base.UserInfo;
@@ -70,12 +69,8 @@ public class GetTokenInfo extends CMSServlet {
      * @param cmsReq the object holding the request and response information
      */
     protected void process(CMSRequest cmsReq) throws EBaseException {
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
 
-        // Construct an ArgBlock
-        IArgBlock args = cmsReq.getHttpParams();
-
         XMLObject xmlObj = null;
         try {
             xmlObj = new XMLObject();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/ConfirmRecoverBySerial.java b/pki/base/common/src/com/netscape/cms/servlet/key/ConfirmRecoverBySerial.java
index 15e73179e94f171cfd14047649ab482d83145727..59b01f26a0734f8a3f6f76524b0b7aff1c30ef0e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/ConfirmRecoverBySerial.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/ConfirmRecoverBySerial.java
@@ -28,7 +28,6 @@ import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
 import com.netscape.certsrv.apps.CMS;
-import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.dbs.keydb.IKeyRecord;
@@ -112,7 +111,7 @@ public class ConfirmRecoverBySerial extends CMSServlet {
         HttpServletRequest req = cmsReq.getHttpReq();
         HttpServletResponse resp = cmsReq.getHttpResp();
 
-        IAuthToken authToken = authenticate(cmsReq);
+        authenticate(cmsReq);
 
         CMSTemplate form = null;
         Locale[] locale = new Locale[1];
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java b/pki/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
index bc23e635baafddbd640025da7b8d919f953ac15c..81ced5290092b8266ed4c22e86ef14c6146ab70c 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
@@ -217,7 +217,7 @@ public class ExamineRecovery extends CMSServlet {
                     req.getRequestURI());
             header.addStringValue("keySplitting",
                     CMS.getConfigStore().getString("kra.keySplitting"));
-            Hashtable params = mService.getRecoveryParams(
+            Hashtable<String, Object> params = mService.getRecoveryParams(
                     recoveryID);
 
             if (params == null) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/GetPk12.java b/pki/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
index f27e966d04a12680e6b197ed28f28a8ff20cf4db..96fe7c85ddeda04cba808a7f5a039f15ebee69e3 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
@@ -154,7 +154,6 @@ public class GetPk12 extends CMSServlet {
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
-        int seq = -1;
 
         // get status and populate argSet
         try {
@@ -162,7 +161,7 @@ public class GetPk12 extends CMSServlet {
 
             header.addStringValue("recoveryID", recoveryID);
 
-            Hashtable params = mService.getRecoveryParams(recoveryID);
+            Hashtable<String, Object> params = mService.getRecoveryParams(recoveryID);
 
             if (params == null) {
                 log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java b/pki/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
index a7b256e83a386f280769a0bb89b2c827700c190a..9989fafad22e3d9903531108cb2d558897bdd1fd 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
@@ -244,7 +244,7 @@ public class GrantRecovery extends CMSServlet {
             header.addStringValue(OUT_SERVICE_URL,
                     req.getRequestURI());
 
-            Hashtable h = mService.getRecoveryParams(recoveryID);
+            Hashtable<String, Object> h = mService.getRecoveryParams(recoveryID);
 
             if (h == null) {
                 header.addStringValue(OUT_ERROR,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/KeyRecordParser.java b/pki/base/common/src/com/netscape/cms/servlet/key/KeyRecordParser.java
index d6bc57fcf0233232e4d7e4e2ec1c4b94fc5c53a7..aeee624c068f2f8643e407ad2227d1a158de00ee 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/KeyRecordParser.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/KeyRecordParser.java
@@ -17,7 +17,6 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cms.servlet.key;
 
-import java.math.BigInteger;
 import java.util.Date;
 
 import com.netscape.certsrv.apps.CMS;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java b/pki/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
index 6bb013b1c8abaf0a81644ce15042580318ca43a7..803281df26fceab4c18ac22e42f3dae4ffc4fbc6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
@@ -175,12 +175,10 @@ public class RecoverBySerial extends CMSServlet {
         fixed.set(PORT, Integer.valueOf(port));
         fixed.set(SCHEME, scheme);
 
-        int seq = -1;
-
         SessionContext ctx = null;
 
         try {
-            String localAgents = req.getParameter("localAgents");
+            //String localAgents = req.getParameter("localAgents");
             String initAsyncRecovery = req.getParameter("initAsyncRecovery");
 
             // this information is needed within the server for
@@ -367,7 +365,7 @@ public class RecoverBySerial extends CMSServlet {
                         header.addStringValue(OUT_ERROR, "No recovery ID specified");
                         return null;
                     }
-                    Hashtable params = mService.createRecoveryParams(recoveryID);
+                    Hashtable<String, Object> params = mService.createRecoveryParams(recoveryID);
 
                     params.put("keyID", req.getParameter(IN_SERIALNO));
 
@@ -383,7 +381,7 @@ public class RecoverBySerial extends CMSServlet {
                     waitThread.start();
                     return null;
                 } else {
-                    Vector v = new Vector();
+                    Vector<Credential> v = new Vector<Credential>();
 
                     for (int i = 0; i < mService.getNoOfRequiredAgents(); i++) {
                         String uid = req.getParameter(IN_UID + i);
@@ -424,7 +422,7 @@ public class RecoverBySerial extends CMSServlet {
                     header.addStringValue(OUT_ERROR, "No recovery ID specified");
                     return null;
                 }
-                Hashtable params = mService.createRecoveryParams(recoveryID);
+                Hashtable<String, Object> params = mService.createRecoveryParams(recoveryID);
 
                 params.put("keyID", req.getParameter(IN_SERIALNO));
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/SrchKey.java b/pki/base/common/src/com/netscape/cms/servlet/key/SrchKey.java
index b6693ee6b6627d0ccd22b828cb4f1b878f63b91a..bff14e9f2d7188071e5685e48c9401231da79656 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/SrchKey.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/SrchKey.java
@@ -263,7 +263,7 @@ public class SrchKey extends CMSServlet {
                 timeLimit = mTimeLimits;
             }
             CMS.debug("Start searching ... timelimit=" + timeLimit);
-            Enumeration e = mKeyDB.searchKeys(filter,
+            Enumeration<IKeyRecord> e = mKeyDB.searchKeys(filter,
                     maxResults, timeLimit);
             int count = 0;
 
@@ -272,8 +272,7 @@ public class SrchKey extends CMSServlet {
                         null);
             } else {
                 while (e.hasMoreElements()) {
-                    IKeyRecord rec = (IKeyRecord)
-                            e.nextElement();
+                    IKeyRecord rec = e.nextElement();
                     // rec is null when we specify maxResults
                     // DS will return an err=4, which triggers
                     // a LDAPException.SIZE_LIMIT_ExCEEDED
diff --git a/pki/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java b/pki/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
index 828ef0e6c2b9be5a828e8fcf2a41fb4c165bd78a..95c777701c186c98e2d952db94ef0c2f8782e64f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
@@ -284,7 +284,7 @@ public class SrchKeyForRecovery extends CMSServlet {
                 timeLimit = mTimeLimits;
             }
             CMS.debug("Start searching ... timelimit=" + timeLimit);
-            Enumeration e = mKeyDB.searchKeys(filter, maxResults, timeLimit);
+            Enumeration<IKeyRecord> e = mKeyDB.searchKeys(filter, maxResults, timeLimit);
             int count = 0;
 
             if (e == null) {
@@ -292,8 +292,7 @@ public class SrchKeyForRecovery extends CMSServlet {
                         null);
             } else {
                 while (e.hasMoreElements()) {
-                    IKeyRecord rec = (IKeyRecord)
-                            e.nextElement();
+                    IKeyRecord rec = e.nextElement();
                     // rec is null when we specify maxResults
                     // DS will return an err=4, which triggers
                     // a LDAPException.SIZE_LIMIT_ExCEEDED 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/GetOCSPInfo.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/GetOCSPInfo.java
index 1aaf1d6e5b61200773effdff8d44b6625aecc4d7..3dfc1d5f3c2131f16819ce23e96f3d7f5f53a709 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/GetOCSPInfo.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/GetOCSPInfo.java
@@ -106,9 +106,6 @@ public class GetOCSPInfo extends CMSServlet {
             return;
         }
 
-        // Construct an ArgBlock
-        IArgBlock args = cmsReq.getHttpParams();
-
         if (!(mAuthority instanceof IOCSPService)) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_CA_FROM_RA_NOT_IMP"));
             cmsReq.setError(new ECMSGWException(
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
index 2d9daff95065ce924a3ec5986af1c6db81692e8b..9ca7a8a189cd69ac9a3a64fca866f2ccf106bcbe 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
@@ -128,14 +128,14 @@ public class ListCAServlet extends CMSServlet {
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
         IDefStore defStore = mOCSPAuthority.getDefaultStore();
-        Enumeration<Object> recs = defStore.searchAllCRLIssuingPointRecord(100);
+        Enumeration<ICRLIssuingPointRecord> recs = defStore.searchAllCRLIssuingPointRecord(100);
 
         // show the current CRL number if present
         header.addStringValue("stateCount",
                 Integer.toString(defStore.getStateCount()));
 
         while (recs.hasMoreElements()) {
-            ICRLIssuingPointRecord rec = (ICRLIssuingPointRecord) recs.nextElement();
+            ICRLIssuingPointRecord rec = recs.nextElement();
             IArgBlock rarg = CMS.createArgBlock();
             String thisId = rec.getId();
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java b/pki/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
index 51655f973c4b3d1885ea2547cd7069c7d275ac91..53c13510df7b3d33f38c11f3bd7e29b23715a925 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
@@ -203,7 +203,7 @@ public class CMCProcessor extends PKIProcessor {
             // verify the signerInfo
             SET dais = cmcFullReq.getDigestAlgorithmIdentifiers();
             int numDig = dais.size();
-            Hashtable digs = new Hashtable();
+            Hashtable<String, byte[]> digs = new Hashtable<String, byte[]>();
 
             for (int i = 0; i < numDig; i++) {
                 AlgorithmIdentifier dai =
diff --git a/pki/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java b/pki/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
index 641017cc887d4e7e681c99792e2e0aee864a1201..2d2f1430efbab81114406bfc5ee3c604325f92fc 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
@@ -177,7 +177,6 @@ public class CRMFProcessor extends PKIProcessor {
             verifyPOP(certReqMsg);
 
             CertRequest certReq = certReqMsg.getCertReq();
-            INTEGER certReqId = certReq.getCertReqId();
 
             CertTemplate certTemplate = certReq.getCertTemplate();
             X509CertInfo certInfo = CMS.getDefaultX509CertInfo();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
index d021ef3878ce3c786531f4a1b71bab2ea85a6001..2849e14f3019a9662a0e82b9f60f59fa11f90528 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
@@ -59,7 +59,6 @@ import com.netscape.certsrv.profile.IProfileSubsystem;
 import com.netscape.certsrv.request.INotify;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.RequestStatus;
-import com.netscape.certsrv.template.ArgSet;
 import com.netscape.cms.servlet.common.AuthCredentials;
 import com.netscape.cms.servlet.common.CMCOutputTemplate;
 import com.netscape.cms.servlet.common.CMSRequest;
@@ -231,7 +230,6 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
         HttpServletResponse response = cmsReq.getHttpResp();
 
         Locale locale = getLocale(request);
-        ArgSet args = new ArgSet();
         String cert_request_type =
                 mServletConfig.getInitParameter("cert_request_type");
         String outputFormat = mServletConfig.getInitParameter("outputFormat");
@@ -645,7 +643,6 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
         String auditRequesterID = ILogger.UNIDENTIFIED;
         String auditInfoCertValue = ILogger.SIGNED_AUDIT_EMPTY_VALUE;
 
-        int responseType = 0;
         try {
             ///////////////////////////////////////////////
             // submit request
diff --git a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
index 4a7d70cc0f574125b735f7d0a7aa5edfbeaf6a05..1d4cab76bf977c335f3f6ee1dcb656af9988905d 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
@@ -39,7 +39,6 @@ import org.w3c.dom.Node;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authority.IAuthority;
-import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.MetaInfo;
 import com.netscape.certsrv.base.SessionContext;
@@ -1071,7 +1070,7 @@ public class ProfileSubmitServlet extends ProfileServlet {
             if (acl != null && acl.length() > 0) {
                 try {
                     String resource = profileId + ".authz.acl";
-                    AuthzToken authzToken = authorize(mAclMethod, resource, authToken, acl);
+                    authorize(mAclMethod, resource, authToken, acl);
                 } catch (Exception e) {
                     CMS.debug("ProfileSubmitServlet authorize: " + e.toString());
                     if (xmlOutput) {
diff --git a/pki/base/common/src/com/netscape/cms/shares/OldJoinShares.java b/pki/base/common/src/com/netscape/cms/shares/OldJoinShares.java
index 3fdcb0245cbc3b63c8d7cdfd25d0acd135116037..f01e1e1c37cb74a547fb176163dd5b6e2f1056c8 100644
--- a/pki/base/common/src/com/netscape/cms/shares/OldJoinShares.java
+++ b/pki/base/common/src/com/netscape/cms/shares/OldJoinShares.java
@@ -37,17 +37,17 @@ public class OldJoinShares implements IJoinShares {
     }
 
     public void initialize(int threshold) throws Exception {
-        Class c = Class.forName("com.netscape.cmscore.shares.JoinShares");
-        Class types[] = { int.class };
-        Constructor con = c.getConstructor(types);
+        Class<?> c = Class.forName("com.netscape.cmscore.shares.JoinShares");
+        Class<?> types[] = { int.class };
+        Constructor<?> con = c.getConstructor(types);
         Object params[] = { Integer.valueOf(threshold) };
         mOldImpl = con.newInstance(params);
     }
 
     public void addShare(int shareNum, byte[] share) {
         try {
-            Class types[] = { int.class, share.getClass() };
-            Class c = mOldImpl.getClass();
+            Class<?> types[] = { int.class, share.getClass() };
+            Class<?> c = mOldImpl.getClass();
             Method method = c.getMethod("addShare", types);
             Object params[] = { Integer.valueOf(shareNum), share };
             method.invoke(mOldImpl, params);
@@ -59,8 +59,8 @@ public class OldJoinShares implements IJoinShares {
         if (mOldImpl == null)
             return -1;
         try {
-            Class types[] = null;
-            Class c = mOldImpl.getClass();
+            Class<?> types[] = null;
+            Class<?> c = mOldImpl.getClass();
             Method method = c.getMethod("getShareCount", types);
             Object params[] = null;
             Integer result = (Integer) method.invoke(mOldImpl, params);
@@ -74,8 +74,8 @@ public class OldJoinShares implements IJoinShares {
         if (mOldImpl == null)
             return null;
         try {
-            Class types[] = null;
-            Class c = mOldImpl.getClass();
+            Class<?> types[] = null;
+            Class<?> c = mOldImpl.getClass();
             Method method = c.getMethod("recoverSecret", types);
             Object params[] = null;
             return (byte[]) method.invoke(mOldImpl, params);
diff --git a/pki/base/common/src/com/netscape/cms/shares/OldShare.java b/pki/base/common/src/com/netscape/cms/shares/OldShare.java
index a867fcbffd219ea933e28cc08ae9acb8f487e382..4020e759e09a5141646eb481417697887faecc9b 100644
--- a/pki/base/common/src/com/netscape/cms/shares/OldShare.java
+++ b/pki/base/common/src/com/netscape/cms/shares/OldShare.java
@@ -37,10 +37,9 @@ public class OldShare implements IShare {
 
     public void initialize(byte[] secret, int threshold) throws Exception {
         try {
-            Class c = Class.forName("com.netscape.cmscore.shares.Share");
-            Class types[] = { secret.getClass(), int.class };
-            Constructor cs[] = c.getConstructors();
-            Constructor con = c.getConstructor(types);
+            Class<?> c = Class.forName("com.netscape.cmscore.shares.Share");
+            Class<?> types[] = { secret.getClass(), int.class };
+            Constructor<?> con = c.getConstructor(types);
             Object params[] = { secret, Integer.valueOf(threshold) };
             mOldImpl = con.newInstance(params);
         } catch (Exception e) {
@@ -51,8 +50,8 @@ public class OldShare implements IShare {
         if (mOldImpl == null)
             return null;
         try {
-            Class types[] = { int.class };
-            Class c = mOldImpl.getClass();
+            Class<?> types[] = { int.class };
+            Class<?> c = mOldImpl.getClass();
             Method method = c.getMethod("createShare", types);
             Object params[] = { Integer.valueOf(sharenumber) };
             return (byte[]) method.invoke(mOldImpl, params);
diff --git a/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java b/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
index 2f8a33faabb8a084378202cab349ff29b6517660..48f743ee35277534d50e91d2a984b4f454e15a5a 100644
--- a/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
+++ b/pki/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
@@ -22,8 +22,6 @@ import java.security.MessageDigest;
 import java.security.NoSuchAlgorithmException;
 import java.util.Vector;
 
-import netscape.security.x509.X509CertImpl;
-
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.AuthToken;
 import com.netscape.certsrv.authentication.EAuthException;
@@ -211,7 +209,6 @@ public class ChallengePhraseAuthentication implements IAuthManager {
          }
          */
 
-        X509CertImpl[] certsToRevoke = null;
         BigInteger[] bigIntArray = null;
 
         // check challenge phrase against request
diff --git a/pki/base/common/src/com/netscape/cmscore/base/PropConfigStore.java b/pki/base/common/src/com/netscape/cmscore/base/PropConfigStore.java
index 1f453a573babc06ff2cd4ebe0fc8a42ba8574bcf..1cc0330c7792721f7fce930d7e95655094d0b3a2 100644
--- a/pki/base/common/src/com/netscape/cmscore/base/PropConfigStore.java
+++ b/pki/base/common/src/com/netscape/cmscore/base/PropConfigStore.java
@@ -335,8 +335,6 @@ public class PropConfigStore implements IConfigStore, Cloneable {
             throws EBaseException {
         String str = (String) get(name);
 
-        byte returnval;
-
         if (str == null || str.length() == 0) {
             CMS.traceHashKey(mDebugType, getFullName(name),
                     "<notpresent>", "<bytearray>");
@@ -598,7 +596,6 @@ public class PropConfigStore implements IConfigStore, Cloneable {
         // without the current substore prefix.  This code works even
         // if mStoreName is null.
         String fullName = getFullName(name);
-        int kIndex = fullName.length();
 
         while (e.hasMoreElements()) {
             String key = e.nextElement();
@@ -756,13 +753,14 @@ public class PropConfigStore implements IConfigStore, Cloneable {
 
             mStoreName = getName();
             mSource = new SourceConfigStore();
-            Enumeration subs = getSubStoreNames();
+            Enumeration<String> subs = getSubStoreNames();
 
             while (subs.hasMoreElements()) {
-                IConfigStore sub = (IConfigStore)
-                        subs.nextElement();
-                IConfigStore newSub = that.makeSubStore(
-                        sub.getName());
+                String name = subs.nextElement();
+
+                IConfigStore sub = getSubStore(name);
+                IConfigStore newSub = that.makeSubStore(sub.getName());
+
                 Enumeration<String> props = sub.getPropertyNames();
 
                 while (props.hasMoreElements()) {
diff --git a/pki/base/common/src/com/netscape/cmscore/cert/CertDateCompare.java b/pki/base/common/src/com/netscape/cmscore/cert/CertDateCompare.java
index d8b2981268cde7328ac450a61789c6eb9ab1beb7..7078c34406188fce614853a37a692d52c2597b88 100644
--- a/pki/base/common/src/com/netscape/cmscore/cert/CertDateCompare.java
+++ b/pki/base/common/src/com/netscape/cmscore/cert/CertDateCompare.java
@@ -28,17 +28,17 @@ import netscape.security.x509.X509CertImpl;
  * @author kanda
  * @version $Revision$, $Date$
  */
-public class CertDateCompare implements Comparator {
+public class CertDateCompare implements Comparator<X509CertImpl> {
     public CertDateCompare() {
     }
 
-    public int compare(Object cert1, Object cert2) {
+    public int compare(X509CertImpl cert1, X509CertImpl cert2) {
         Date d1 = null;
         Date d2 = null;
 
         try {
-            d1 = ((X509CertImpl) cert1).getNotAfter();
-            d2 = ((X509CertImpl) cert2).getNotAfter();
+            d1 = cert1.getNotAfter();
+            d2 = cert2.getNotAfter();
         } catch (Exception e) {
             e.printStackTrace();
         }
diff --git a/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java b/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
index 12965a52ed330735485ace641763be354179fbe2..a5c6fec904984602dc4d5f7ad8feb1ce1f3a8ae0 100644
--- a/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
+++ b/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
@@ -1001,7 +1001,6 @@ public class CertUtils {
     public static boolean verifySystemCerts() {
         String auditMessage = null;
         IConfigStore config = CMS.getConfigStore();
-        String certlsit = "";
         boolean verifyResult = true;
         boolean r = true; /* the final return value */
         try {
diff --git a/pki/base/common/src/com/netscape/cmscore/cert/X500NameSubsystem.java b/pki/base/common/src/com/netscape/cmscore/cert/X500NameSubsystem.java
index 89a22921662cfe4e157f44ffacf346c53c0bf582..de5e233c90a24eb8245f9121f6bc672615c8c760 100644
--- a/pki/base/common/src/com/netscape/cmscore/cert/X500NameSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/cert/X500NameSubsystem.java
@@ -227,7 +227,7 @@ public class X500NameSubsystem implements ISubsystem {
     private static String BMPSTRING = "BMPString";
     private static String UNIVERSALSTRING = "UniversalString";
     private static String UFT8STRING = "UTF8String";
-    private static Hashtable mDerStr2TagHash = new Hashtable();
+    private static Hashtable<String, Byte> mDerStr2TagHash = new Hashtable<String, Byte>();
 
     static {
         mDerStr2TagHash.put(
@@ -249,7 +249,7 @@ public class X500NameSubsystem implements ISubsystem {
     private byte derStr2Tag(String s) {
         if (s == null || s.length() == 0)
             throw new IllegalArgumentException();
-        Byte tag = (Byte) mDerStr2TagHash.get(s);
+        Byte tag = mDerStr2TagHash.get(s);
 
         if (tag == null)
             throw new IllegalArgumentException();
